local entertainmentMod = ...

--GALLOW KEEP

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "GALLLOW_KEEP",
	Name = "GALLOW_KEEP",
	Description = "GALLOW_KEEP_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "GALLOW_KEEP_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "GALLOW_KEEP_PART",
	Description = "",
	BuildingZone = { 10, 10 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GALLOW_KEEP"
	},
	ConstructionVisual = "PREFAB_KEEP_CONSTRUCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 25 },
			{ Resource = "STONE", Quantity = 50 }
		}
	}

})

entertainmentMod:registerPrefabComponent("models/Gallow_Keep.fbx/Prefab/Keep_Group/Execution_Platform", {
	DataType = "COMP_GROUNDED"
})

--BROTHEL

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "BROTHEL",
	Name = "BROTHEL",
	Description = "BROTHEL_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "BROTHEL_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "BROTHEL_PART",
	Description = "",
	BuildingZone = { 10, 15 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BROTHEL"
	},
	ConstructionVisual = "PREFAB_BROTHEL_CONSTRUCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 25 },
			{ Resource = "STONE", Quantity = 25 },
			{ Resource = "GLASS", Quantity = 10 }
		}
	}

})

--BATH HOUSE

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "BATHHOUSE",
	Name = "BATHHOUSE",
	Description = "BATHHOUSE_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "BATHHOUSE_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "BATHHOUSE_PART",
	Description = "",
	BuildingZone = { 10, 10 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BATHHOUSE"
	},
	ConstructionVisual = "PREFAB_BATHHOUSE_CONSTRUCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 75 },
			{ Resource = "STONE", Quantity = 25 }
		}
	}

})

entertainmentMod:registerPrefabComponent("models/BathHouse.fbx/Prefab/BathHouse_Group/Foundation_Door", {
	DataType = "COMP_GROUNDED"

})